0

I am running CentOS 6.10 and I ran yum check and it revealed a bunch of missing system dependencies, below is a short snippet of all of them. There's a total of 140 lines.

[root@mybox /]# yum check
Loaded plugins: fastestmirror, security
GConf2-2.28.0-7.el6.x86_64 has missing requires of libORBit-2.so.0()(64bit)
abrt-addon-ccpp-2.0.8-44.el6.centos.x86_64 has missing requires of abrt = ('0', '2.0.8', '44.el6.centos')
abrt-addon-ccpp-2.0.8-44.el6.centos.x86_64 has missing requires of abrt-libs = ('0', '2.0.8', '44.el6.centos')
abrt-addon-ccpp-2.0.8-44.el6.centos.x86_64 has missing requires of elfutils
abrt-addon-ccpp-2.0.8-44.el6.centos.x86_64 has missing requires of elfutils-libs
abrt-addon-ccpp-2.0.8-44.el6.centos.x86_64 has missing requires of libabrt.so.0()(64bit)
abrt-addon-ccpp-2.0.8-44.el6.centos.x86_64 has missing requires of libreport.so.0()(64bit)
abrt-addon-ccpp-2.0.8-44.el6.centos.x86_64 has missing requires of libsatyr.so.3()(64bit)
abrt-tui-2.0.8-44.el6.centos.x86_64 has missing requires of abrt-libs = ('0', '2.0.8', '44.el6.centos')
abrt-tui-2.0.8-44.el6.centos.x86_64 has missing requires of libabrt.so.0()(64bit)
abrt-tui-2.0.8-44.el6.centos.x86_64 has missing requires of libreport.so.0()(64bit)
abrt-tui-2.0.8-44.el6.centos.x86_64 has missing requires of libsatyr.so.3()(64bit)
abrt-tui-2.0.8-44.el6.centos.x86_64 has missing requires of usermode
apr-util-1.3.9-3.el6_0.1.x86_64 has missing requires of libapr-1.so.0()(64bit)

running ldconfig shows these libraries being linked.

[root@mybox /]# ldconfig -v | grep libabrt.so
        libabrt.so.0 -> libabrt.so.0.0.1

I am not sure what else to look at at this point. Any help is greatly appreciated.

0

I found this related question very Helpful. After running locate on the first missing library,

[root@myBox /]# locate libORBit-2
/usr/lib64/libORBit-2.so.0
/usr/lib64/libORBit-2.so.0.1.0

and then running rpm -qf on the library.

[root@myBox /]# rpm -qf /usr/lib64/libORBit-2.so.0.1.0 
file /usr/lib64/libORBit-2.so.0.1.0 is not owned by any package

This tells me that rpm does not actually know about this library even though it exists. Digging deeper, we can see that yum doesn't have a package installed that even provides this library. A package exists according to yum whatprovides, but it's not installed. yum list installed | grep ORBit2 comes up empty!

[root@myBox /]# yum whatprovides /usr/lib64/libORBit-2.so.0
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirror.cogentco.com
 * extras: mirrors.umflint.edu
 * updates: linux.cc.lehigh.edu
ORBit2-2.14.17-7.el6.x86_64 : A high-performance CORBA Object Request Broker
Repo        : base
Matched from:
Filename    : /usr/lib64/libORBit-2.so.0

So after yum installing ORBit2, this library no longer appears unlinked on the yum check results. I just have to repeat this process for the dozens of other packages that are messed up too.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.